Update key.
curl --request PUT \
--url https://{tenant}/admin/org/keys/{keyId} \
--header 'Admin-Auth: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"alias": "portal-key",
"allowance": 1000,
"apply_policies": [
"62a0ec9092faf50001395817"
],
"enable_detailed_recording": true,
"expires": 1718439136,
"hmac_enabled": false,
"is_inactive": false,
"meta_data": {
"tyk_developer_id": "62b3fb9a1d5e4f00017226f5"
},
"org_id": "5e9d9544a1dcd60001d0ed20",
"per": 60,
"quota_max": -1,
"quota_remaining": 0,
"quota_renewal_rate": -1,
"quota_renews": 1715847135,
"rate": 1000,
"tags": [
"edge-eu",
"edge"
],
"throttle_interval": 0,
"throttle_retry_limit": 0
}
'import requests
url = "https://{tenant}/admin/org/keys/{keyId}"
payload = {
"alias": "portal-key",
"allowance": 1000,
"apply_policies": ["62a0ec9092faf50001395817"],
"enable_detailed_recording": True,
"expires": 1718439136,
"hmac_enabled": False,
"is_inactive": False,
"meta_data": { "tyk_developer_id": "62b3fb9a1d5e4f00017226f5" },
"org_id": "5e9d9544a1dcd60001d0ed20",
"per": 60,
"quota_max": -1,
"quota_remaining": 0,
"quota_renewal_rate": -1,
"quota_renews": 1715847135,
"rate": 1000,
"tags": ["edge-eu", "edge"],
"throttle_interval": 0,
"throttle_retry_limit": 0
}
headers = {
"Admin-Auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Admin-Auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alias: 'portal-key',
allowance: 1000,
apply_policies: ['62a0ec9092faf50001395817'],
enable_detailed_recording: true,
expires: 1718439136,
hmac_enabled: false,
is_inactive: false,
meta_data: {tyk_developer_id: '62b3fb9a1d5e4f00017226f5'},
org_id: '5e9d9544a1dcd60001d0ed20',
per: 60,
quota_max: -1,
quota_remaining: 0,
quota_renewal_rate: -1,
quota_renews: 1715847135,
rate: 1000,
tags: ['edge-eu', 'edge'],
throttle_interval: 0,
throttle_retry_limit: 0
})
};
fetch('https://{tenant}/admin/org/keys/{keyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "Key updated",
"Meta": null,
"Status": "OK"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to update session object to Tyk",
"Meta": null,
"Status": "Error"
}{
"Message": "Org key doesn't exist",
"Meta": null,
"Status": "Error"
}{
"Message": "Updating orgID of org key is not allowed",
"Meta": null,
"Status": "Error"
}Keys
Update key.
Update a key with it’s id.
PUT
/
admin
/
org
/
keys
/
{keyId}
Update key.
Authorizations
Api key
Path Parameters
The ID of the key.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I